export declare function isIPv6(ip: string): boolean;
/**
 * check if ip is bogon.
 * call getIpArr can throw an error if the format is wrong
 * @param ip
 * @returns
 */
export declare function isBogonIP(ip: any): boolean;
/**
 * check if ip is invalid for lan use.
 * call getIpArr can throw an error if the format is wrong
 * @param ip
 * @returns
 */
export declare function isInvalidIP(ip: any): boolean;
